<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

use Toalett\Redis\Timeseries\Model\Aggregation;

trait ContainsAggregation
{
    protected ?Aggregation $aggregation = null;

    public function aggregate(Aggregation $aggregation): self
    {
        $this->aggregation = $aggregation;
        return $this;
    }

    protected function appendAggregation(array $command): array
    {
        if (!is_null($this->aggregation)) {
            $command[] = 'AGGREGATION';
            $command[] = $this->aggregation->type;
            $command[] = $this->aggregation->timeBucket;
        }

        return $command;
    }
}
