<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

trait ContainsChunkSize
{
    protected ?int $chunkSize = null;

    public function chunkSize(int $chunkSize): self
    {
        $this->chunkSize = $chunkSize;
        return $this;
    }

    protected function appendChunkSize(array $command): array
    {
        if (!is_null($this->chunkSize)) {
            $command[] = 'CHUNK_SIZE';
            $command[] = $this->chunkSize;
        }
        return $command;
    }
}
