<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

use Toalett\Redis\Timeseries\Model\DuplicatePolicy;

trait ContainsDuplicatePolicy
{
    protected ?DuplicatePolicy $duplicatePolicy = null;

    public function onDuplicate(DuplicatePolicy $duplicatePolicy): self
    {
        $this->duplicatePolicy = $duplicatePolicy;
        return $this;
    }

    protected function appendDuplicatePolicy(array $command): array
    {
        if (!is_null($this->duplicatePolicy)) {
            $command[] = 'DUPLICATE_POLICY';
            $command[] = $this->duplicatePolicy->toString();
        }
        return $command;
    }
}
