<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

trait ContainsLabels
{
    private array $labels = [];

    public function label(string $key, string $value): self
    {
        $this->labels[$key] = $value;
        return $this;
    }

    public function labels(array $labels): self
    {
        $this->labels = $labels;
        return $this;
    }

    protected function appendLabels(array $command): array
    {
        if (!empty($this->labels)) {
            $command[] = 'LABELS';
            foreach ($this->labels as $key => $value) {
                $command[] = $key;
                $command[] = $value;
            }
        }
        return $command;
    }
}
