<?php

namespace Toalett\Redis\Timeseries\Protocol\Command\Components;

trait ContainsSourceAndDestinationKeys
{
    protected ?string $sourceKey = null;
    protected ?string $destinationKey = null;

    public function setEndpoints(string $sourceKey, string $destinationKey): self
    {
        $this->sourceKey = $sourceKey;
        $this->destinationKey = $destinationKey;
        return $this;
    }

    protected function appendSourceAndDestinationKeys(array $command): array
    {
        if (!is_null($this->sourceKey) && !is_null($this->destinationKey)) {
            $command[] = $this->sourceKey;
            $command[] = $this->destinationKey;
        }
        return $command;
    }
}
