<?php

namespace Toalett\Redis\Timeseries\Protocol\Command;

use Toalett\Redis\Timeseries\Protocol\Command\Components\CommandAssembler;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsChunkSize;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsDuplicatePolicy;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsKey;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsLabels;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsRetention;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsUncompressed;

class CreateCommand implements Command
{
    use ContainsKey;
    use ContainsRetention;
    use ContainsUncompressed;
    use ContainsChunkSize;
    use ContainsDuplicatePolicy;
    use ContainsLabels;
    use CommandAssembler;

    public function toRawCommand(): array
    {
        return $this->assemble('TS.CREATE');
    }
}
