<?php

namespace Toalett\Redis\Timeseries\Protocol\Command;

use Toalett\Redis\Timeseries\Protocol\Command\Components\CommandAssembler;
use Toalett\Redis\Timeseries\Protocol\Command\Components\ContainsSourceAndDestinationKeys;

class DeleteRuleCommand implements Command
{
    use ContainsSourceAndDestinationKeys;
    use CommandAssembler;

    public function __construct(string $sourceKey, string $destinationKey)
    {
        $this->setEndpoints($sourceKey, $destinationKey);
    }

    public function toRawCommand(): array
    {
        return $this->assemble('TS.DELETERULE');
    }
}
