<?php

namespace Toalett\Redis\Timeseries\Protocol\Query\Components;

trait ContainsWithLabels
{
    protected bool $isWithLabels = true;

    public function withLabels(): self
    {
        $this->isWithLabels = true;
        return $this;
    }

    public function withoutLabels(): self
    {
        $this->isWithLabels = false;
        return $this;
    }

    protected function appendWithLabels(array $command): array
    {
        if (true === $this->isWithLabels) {
            $command[] = 'WITHLABELS';
        }
        return $command;
    }
}
